## EmpathyChatroomManager

EmpathyChatroomManager

## Synopsis

                        EmpathyChatroomManager;
    EmpathyChatroomManager * empathy_chatroom_manager_dup_singleton
                                                            (const gchar *file);
    gboolean            empathy_chatroom_manager_add        (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);
    void                empathy_chatroom_manager_remove     (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);
    EmpathyChatroom *   empathy_chatroom_manager_find       (EmpathyChatroomManager *manager,
                                                             McAccount *account,
                                                             const gchar *room);
    GList *             empathy_chatroom_manager_get_chatrooms
                                                            (EmpathyChatroomManager *manager,
                                                             McAccount *account);
    guint               empathy_chatroom_manager_get_count  (EmpathyChatroomManager *manager,
                                                             McAccount *account);
    void                empathy_chatroom_manager_observe    (EmpathyChatroomManager *manager,
                                                             EmpathyDispatcher *dispatcher);

## Object Hierarchy

      GObject
       +----EmpathyChatroomManager

## Properties

      "file"                     gchar*                : Read / Write / Construct Only

## Signals

      "chatroom-added"                                 : Run Last
      "chatroom-removed"                               : Run Last

## Description

## Details

### EmpathyChatroomManager

    typedef struct _EmpathyChatroomManager EmpathyChatroomManager;

### empathy_chatroom_manager_dup_singleton ()

    EmpathyChatroomManager * empathy_chatroom_manager_dup_singleton
                                                            (const gchar *file);

`file` : |
Returns : |

### empathy_chatroom_manager_add ()

    gboolean            empathy_chatroom_manager_add        (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);

`manager` : |
`chatroom` : |
Returns : |

### empathy_chatroom_manager_remove ()

    void                empathy_chatroom_manager_remove     (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);

`manager` : |
`chatroom` : |

### empathy_chatroom_manager_find ()

    EmpathyChatroom *   empathy_chatroom_manager_find       (EmpathyChatroomManager *manager,
                                                             McAccount *account,
                                                             const gchar *room);

`manager` : |
`account` : |
`room` : |
Returns : |

### empathy_chatroom_manager_get_chatrooms ()

    GList *             empathy_chatroom_manager_get_chatrooms
                                                            (EmpathyChatroomManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_chatroom_manager_get_count ()

    guint               empathy_chatroom_manager_get_count  (EmpathyChatroomManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_chatroom_manager_observe ()

    void                empathy_chatroom_manager_observe    (EmpathyChatroomManager *manager,
                                                             EmpathyDispatcher *dispatcher);

`manager` : |
`dispatcher` : |

## Property Details

### The `"file"` property

      "file"                     gchar*                : Read / Write / Construct Only

The path of the XML file containing user's favorites.

Default value: NULL

## Signal Details

### The `"chatroom-added"` signal

    void                user_function                      (EmpathyChatroomManager *empathychatroommanager,
                                                            EmpathyChatroom        *arg1,
                                                            gpointer                user_data)                   : Run Last

`empathychatroommanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"chatroom-removed"` signal

    void                user_function                      (EmpathyChatroomManager *empathychatroommanager,
                                                            EmpathyChatroom        *arg1,
                                                            gpointer                user_data)                   : Run Last

`empathychatroommanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.